# 指定したユーザーのプロモーション制限を設定する

プロモーションの増減後に適用される制限の中で、指定したユーザーが利用できる回数を設定します。

User limit API を使用すると、ユーザーがプロモーションを使用できる回数を制限できます。ユーザー制限自体を構成するには、目的のプロモーションタイプの管理セクションに移動します：
* 割引プロモーション
* ボーナスプロモーション

Endpoint: PUT /v2/project/{project_id}/admin/user/limit/promotion/id/{promotion_id}
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    プロジェクトID。このパラメータは、パブリッシャーアカウントのプロジェクト名の横、またはプロジェクトの作業中にブラウザのアドレスバーで確認できます。URLの形式は以下の通りです：https://publisher.xsolla.com//projects/。
    Example: 44056

  - `promotion_id` (integer, required)
    プロモーションID。プロジェクト内での一意のプロモーション識別子。
    Example: 111425

## Request fields (application/json):

  - `user` (object, required)

  - `user.user_external_id` (string, required)
    ユーザーexternal ID。

  - `available` (integer, required)
    適用された制限内でユーザーが利用できる残りのアイテム数またはプロモーション利用回数。

## Response 200 fields (application/json):

  - `per_user` (object)

  - `per_user.total` (integer)
    ユーザーがプロモーションを利用できる最大回数。
    Example: 10

  - `per_user.available` (integer)
    ユーザーがプロモーションを利用できる残りの回数。
    Example: 9

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"

## Response 404 fields (application/json):

  - `statusCode` (integer)

  - `errorCode` (integer)

  - `errorMessage` (string)

  - `transactionId` (string)

## Response 422 fields (application/json):

  - `statusCode` (integer)

  - `errorCode` (integer)

  - `errorMessage` (string)

  - `errorMessageExtended` (array)

  - `transactionId` (string)


